Subject: RE: [lemonade] Re: Just 'ATTACH'

From: "Vaudreuil, Greg M (Greg)" <[email-masked]>
Date: Wed, 11 Jun 2003 11:57:19 -0500

Rick,

You mis-understand me.  I am simply refering to the common practice of including a URL or external-body reference in an email message.  Most UA's can in fact launch the appropriate processing based on the URL or external-body machinery.  Today no MTA servers in the path try to resolve that URL on behalf of the client.  I don't think we need to change that behavior.

We need only to create a mechanism to resolve links on behalf of the sender where the sender desires to attach rather than refer to the content. This might include cases where the recipient does not have authorization to retreive it directly. 

Greg V.

-----Original Message-----
From: Rick Block [mailto:[email-masked]]
Sent: Tuesday, June 10, 2003 8:23 PM
To: Vaudreuil, Greg M (Greg)
Cc: Cyrus Daboo; Randall Gellens; IETF LEMONADE (E-mail); Doug Royer
Subject: Re: [lemonade] Re: Just 'ATTACH'

Vaudreuil, Greg M (Greg) wrote:
> I don't see the requirement for submit server resolution
 > of external documents and the like...  Maybe others have
 > a need for that, but I see the resolution of an external
 > URL as the obligation of the recipient UA.

Obligation of the recipient UA?  I have a message from
[email-masked], I reply from my wireless device (with
original attached) and my friend anyone's UA is responsible
for putting the message together again (using pieces
of the original message sent to me obtained from my imap4
server)?  I must be misunderstanding this since it would
seem to require upgrading every UA everywhere in the world
and even if this could happen then requires my imap4 server
be accessible from anywhere.

Rick Block
Avaya Inc.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade